# https://github.com/grafana/loki/issues/2018
initContainers:
  - name: fix-permissions
    image: busybox:latest
    securityContext:
      privileged: true
      runAsGroup: 0
      runAsNonRoot: false
      runAsUser: 0
    command:
    - sh
    - -c
    - >-
      id;
      ls -la /data/;
      mkdir -p /data/loki;
      chown 10001:10001 /data/loki
    volumeMounts:
    - mountPath: /data
      name: storage
persistence:
  enabled: true
  size: 10G
serviceMonitor:
  enabled: true
resources:
  limits:
    cpu: 200m
    memory: 256Mi
  requests:
    cpu: 100m
    memory: 128Mi
config:
  compactor:
    working_directory: /data/loki/boltdb-shipper-compactor
    shared_store: filesystem
    compaction_interval: 10m
    retention_enabled: true
    retention_delete_delay: 1h
    retention_delete_worker_count: 150
  storage_config:
    boltdb_shipper:
      active_index_directory: /data/loki/boltdb-shipper-active
      cache_location: /data/loki/boltdb-shipper-cache
      cache_ttl: 24h         # Can be increased for faster performance over longer query periods, uses more disk space
      shared_store: filesystem
    filesystem:
      directory: /data/loki/chunks
  chunk_store_config:
    max_look_back_period: {{ cloudstack.plugins.loki.config.retention }}
  table_manager:
    retention_deletes_enabled: true
    retention_period: {{ cloudstack.plugins.loki.config.retention }}
  server:
    grpc_server_max_recv_msg_size: 41943040
    grpc_server_max_send_msg_size: 41943040
  ingester:
    wal:
      enabled: true
      dir: /data/loki/wal
    chunk_target_size: 1572864
    chunk_idle_period: 30m
    max_chunk_age: 2h
  limits_config:
    retention_period: {{ cloudstack.plugins.loki.config.retention }}
    max_streams_per_user: 0
    max_global_streams_per_user: 0
    ingestion_burst_size_mb: 12
    ingestion_rate_mb: 6
    reject_old_samples: true
  schema_config:
    configs:
    - from: "2018-04-15"
      store: boltdb-shipper
      object_store: filesystem
      schema: v11
      index:
        prefix: loki_index_
        period: 24h

